#include <iostream>
#include <cstdlib>
#include <ctime>
#include <cmath>


using namespace std;

struct Month{
	char title[20];
	int days;
	int first_day_of_the_week;
};
char days_of_the_week[7][5]={
	"Пн",
	"Вт",
	"Ср",
	"Чт",
	"Пт",
	"Сб",
	"Вс"
};
Month months[12]={
	{"Январь", 31, 5},
	{"Февраль", 28, 1},
	{"Март", 31, 1},
	{"Апрель", 30, 4},
	{"Май", 31, 6},
	{"Июнь", 30, 2},
	{"Июль", 31, 4},
	{"Август", 31, 0},
	{"Сентябрь", 30, 3},
	{"Октябрь", 31, 5},
	{"Ноябрь", 30, 1},
	{"Декабрь", 31, 3},
};

int main(int args, char** argv){
	srand(time(0));
	// Выводим месяцы
	for(int i=0; i<12; i++){
		// Выводим название месяца и названия дней недели.
		cout << "\t" << months[i].title << endl;
		for(int j=0; j<7; j++){
			cout << " " << days_of_the_week[j] << " ";
		}
		cout << endl;

		// Выводим сами дни
		// 	Выводим первую неделю
		// 		Выводим пустоту до первого дня
		for(int empt=0; empt<months[i].first_day_of_the_week; empt++){
			cout << "    ";
		}
		// 		Выводим дни до конца первой недели
		int day = 1;
		for(int d1=months[i].first_day_of_the_week; d1<7; d1++){
			cout << " " << day << "  ";
			day++;
		}
		cout << endl;	

		// Выводим следующие недели
		while(day<=months[i].days){
			// Выводим 1 неделю
			for(int dw=0; dw<7; dw++){
				cout << " " << day;
				//  если день больше 9 (двузначный), то выводим 1 пробел, иначе 2
				day>9 ? cout << " " : cout << "  "; 
				day++;
				if(day>months[i].days)
					break; // Если достигли последнего дня месяца, то выходим из цикла
			}
			cout << endl;
		}
		
		cout << endl;
	}
	
	return 0; 
}
